// packageD/team_sell/activeRecord/activeRecord.js
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    page:1
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getData();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if(this.data.current_page >= this.data.last_page){
      wx.showToast({
        title: '暂无更多',
        icon:'none',
        duration:1000
      });
    }else{
      this.setData({
        page:this.data.page +1
      });
      this.getNext();
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  getData(){
    var that = this;
    let urlStr = app.getNetAddresss('plugin.team-sales.api.active.log');
    app._postNetWork({
      url: urlStr,
      data:{
        page:that.data.page
      },
      success: (resdata) => {
        var res = resdata.data;
        if (res.result == 1) {
          console.log(res);
          that.setData({
            info : res.data.list.data,
            current_page:res.data.list.current_page,
            last_page:res.data.list.last_page,
          });
        } else {
          wx.showToast({
            title: res.msg,
            icon: 'none'
          });
        }
      },
      fail:(res) =>{
        wx.showToast({
          title: res.msg,
          icon: 'none'
        });
      }
    });
  },
  getNext(){
    var that = this;
    let urlStr = app.getNetAddresss('plugin.team-sales.api.active.log');
    app._postNetWork({
      url: urlStr,
      data:{
        page:that.data.page
      },
      success: (resdata) => {
        var res = resdata.data;
        if (res.result == 1) {
          console.log(res);
          that.setData({
            info : this.data.info.concat(res.data.list.data),
            current_page:res.data.list.current_page,
            last_page:res.data.list.last_page,
          });
        } else {
          wx.showToast({
            title: res.msg,
            icon: 'none'
          });
        }
      },
      fail:(res) =>{
        wx.showToast({
          title: res.msg,
          icon: 'none'
        });
      }
    });
  },
});